/* Copyright
   (c) 2008 bitSplit(tm) Enterprises and its licensors.
   This notice supersedes all notices below.
   -----------------------------------------------------------------------------------------
*/
#ifndef	UUErrorCodes_h
#define UUErrorCodes_h
//------------------------------------------------------------------------------------------
// Christopher M. Knox
// 2008/03/18
//------------------------------------------------------------------------------------------

enum
{
	kUUERR_noErr = 0,
	kUUERR_first = 7000L,

	kUUERR_notImplemented,
	kUUERR_unknown,
	kUUERR_memFull,
	kUUERR_nilPtr,
	kUUERR_invalidObject,
	kUUERR_userCanceled,
	kUUERR_fileNotOpen,
	kUUERR_invalidColorWorld,
	kUUERR_invalidProfile,
	kUUERR_listFull,
	kUUERR_doubleTooBigForShort,
	kUUERR_tooManyChannels,
	kUUERR_notEnoughData,
	kUUERR_invalidFileName,
	kUUERR_notFound,
	kUUERR_tableDefNotFound,
	kUUERR_fieldMisaligned,
	kUUERR_wrongFieldOrder,
	kUUERR_recordAndStructureSizeMismatch,
	kUUERR_missingHeader,
	kUUERR_wrongSize,
	kUUERR_invalidIndex,
	kUUERR_invalidTable,
	kUUERR_invalidID,
	kUUERR_invalidField,
	kUUERR_invalidDataType,
	kUUERR_sizeMismatch,
	kUUERR_invalidLayer,
	kUUERR_noRawLayer,
	kUUERR_noComLayer,
	kUUERR_sqlQuery,
	kUUERR_sqlRealQuery,
	kUUERR_imageNotOpen,
	kUUERR_yes,
	kUUERR_notLoaded,
	kUUERR_invalidRect,
	kUUERR_invalidCanvas,
	kUUERR_stackOverflow,
	kUUERR_stackUnderflow,
	kUUERR_invalidFormat,
	kUUERR_invalidColorSpace,
	kUUERR_invalidName,
	kUUERR_duplicateName,
	kUUERR_duplicateID,
	kUUERR_invalidDrawShape,
	kUUERR_recordNotFound,
	kUUERR_invalidDisplay,
	kUUERR_couldntCreateFolder,
	kUUERR_invalidDataFormat,
	kUUERR_invalid,
	kUUERR_bufferTooSmall,
	kUUERR_invalidParams,
	kUUERR_invalidMagicNo,
	kUUERR_invalidVersion,
	kUUERR_compressionFailed,
	kUUERR_noSWOPDisplays,
	kUUERR_noColorCriticalDisplays,
	kUUERR_invalidIntent,
	kUUERR_proofImageIDNotFound,
	kUUERR_noCurrentProof,
	kUUERR_imageIDNotFound,
	kUUERR_invalidProofImageIndex,
	kUUERR_unsupportedVersion,
	kUUERR_bpsMismatch,
	kUUERR_sppMismatch,
	kUUERR_openFailedClientNotAlive,
	kUUERR_openFailedTimeOut,
	kUUERR_openFailedException,
	kUUERR_initRegionException,
	kUUERR_initRegionError,
	kUUERR_invalidLicense,
	kUUERR_RIPError,
	kUUERR_RIPtimeLimitExpired,
	kUUERR_RIPnoDCSLicense, // CHK 2005/11/09
	kUUERR_RIPnoOutputFiles,
	kUUERR_tagStackFull,
	kUUERR_tagStackUnderflow,
	kUUERR_tooManyProfiles,
	kUUERR_tooManyImages,
	kUUERR_timeOut,
	kUUERR_notInitialized,
	kUUERR_empty,
	kUUERR_connectionDied,
	kUUERR_interrupted,
	kUUERR_invalidArea,
	kUUERR_disabled,
	kUUERR_notReady,
	kUUERR_kakaduBusy,
	kUUERR_invalidPage,
	kUUERR_invalidfJPX,
	kUUERR_invalidfKAK,
	kUUERR_invalidfJPIP,
	kUUERR_modeIsJPIP,
	kUUERR_openJPIPFailed,
	kUUERR_mutexLocked,
	kUUERR_busy,
	kUUERR_notAvailable,
	kUUERR_notApplicable,
	
	kUUERR_last
};

//------------------------------------------------------------------------------------------
#endif